<?
ob_start();
require'sys/head.php';
require'sys/conf.php';
require'sys/sess.php';
$id=zif($_GET['q']);
$wr=mysql_fetch_array(qw("SELECT * FROM voyna WHERE id ='$id'"));
if($re1[strana]==$wr[vrag]){
echo"Вторжение : <b>$wr[strana]</b><br/>";

if(empty($_GET[s])){
if($wr[peh]>0){echo"Чебурашки ($wr[peh])<br/>";}
if($wr[kon]>0){echo"Кавалеристы ($wr[kon])<br/>";}
if($wr[str]>0){echo"Стрелки ($wr[str])<br/>";}
if($wr[puh]>0){echo"Пушки ($wr[puh])<br/>";}
if($wr[tan]>0){echo"Танки ($wr[tan])<br/>";}
if($wr[sam]>0){echo"Самолёты ($wr[sam])<br/>";}
$time1=time();
$dr=$time1-$wr['datanap'];
$sec2=$dr;
$hou2=floor($sec2/3600);
$sec2-=$hou2*3600;
$min2=floor($sec2/60);
$sec2-=$min2*60;
echo"С начала войны прошло : ";
if($hou2>0){ echo" <b>$hou2</b> ч.<b>$min2</b> м.<br/>";}else{echo" <b>$min2</b> м.<b>$sec2</b> с.<br/>";}
if($wr['dataatk']==0){$wr['dataatk']=$wr[datanap];}else{}
$time1=time();
$dr1=$time1-$wr['dataatk'];
$sec2=$dr1;
$hou2=floor($sec2/3600);
$sec2-=$hou2*3600;
$min2=floor($sec2/60);
$sec2-=$min2*60;
echo"С последней атаки прошло : ";
if($hou2>0){ echo" <b>$hou2</b> ч.<b>$min2</b> м.<br/>";}else{echo" <b>$min2</b> м.<b>$sec2</b> с.<br/>";}
echo"<a href=vtorzh.php?q=$id&s=1&der=$key>Атаковать</a><br/>";
echo"<a href=vtorzh.php?q=$id&s=2&der=$key>Завербовать</a><br/>";
}
if($_GET[s]==1){
if($re2[genn]==0){echo"Наймите генерала в Цитадели!<br/>";}else{
$ar=$re2[peh]+$re2[kon]+$re2[str]+$re2[puh]+$re2[tan]+$re2[sam];
if($ar==0){echo"У вас нет свободных войск!<br/>";}else{
echo"<FORM ACTION='vtorzh.php?q=$id&s=11&der=$key' METHOD='POST'>";?>
<?if($re2[peh]>0){?>Пехота:<br/><input type="text" name="peh" maxlength="10" value="<?=$re2[peh];?>" size="10"/><br/><?}?>
<?if($re2[kon]>0){?>Кавалерия:<br/><input type="text" name="kon" maxlength="10" value="<?=$re2[kon];?>" size="10"/><br/><?}?>
<?if($re2[str]>0){?>Стрелки:<br/><input type="text" name="str" maxlength="10" value="<?=$re2[str];?>" size="10"/><br/><?}?>
<?if($re2[puh]>0){?>Пушки:<br/><input type="text" name="puh" maxlength="10" value="<?=$re2[puh];?>" size="10"/><br/><?}?>
<?if($re2[tan]>0){?>Танки:<br/><input type="text" name="tan" maxlength="10" value="<?=$re2[tan];?>" size="10"/><br/><?}?>
<?if($re2[sam]>0){?>Самолёты:<br/><input type="text" name="sam" maxlength="10" value="<?=$re2[sam];?>" size="10"/><br/><?}?>
<INPUT TYPE='submit'VALUE='Атаковать'></FORM><br/><?}
}}
if($_GET[s]==11){
$a5=time();$at1=$wr[dataatk]-$at;
$fr1=time();$fr2=$fr1-$wr[datanap];$fr3=3600*1;$fr4=$fr1-$wr[dataatk];
if($fr2>=$fr3 and $fr4>=3600){
$peh=zif($_POST[peh]);$kon=zif($_POST[kon]);$str=zif($_POST[str]);$puh=zif($_POST[puh]);$tan=zif($_POST[tan]);$sam=zif($_POST[sam]);
$arm=$peh+$kon+$str+$tan+$puh+$tan+$sam;
if($peh>$re2[peh] or $kon>$re2[kon] or $str>$re2[str] or $puh>$re2[puh] or $tan>$re2[tan] or $sam>$re2[sam]){
echo"У вас нет столько войск!<br/>";}else{
if($arm==0){
echo"Вы не ввели число войск!<br/>";}else{
$bb3 = mysql_fetch_array(qw("SELECT * FROM gos2 WHERE strana='$wr[strana]'"));
$z1=$re2[genn];$z2=$re2[genm];$z3=$re2[geno];
$x1=$bb3[genn];$x2=$bb3[genm];$x3=$bb3[geno];
$a1=$peh;$a2=$re2[peh1];$a3=$re2[peh2];$a11=$wr[peh];$a12=$bb3[peh1];$a13=$bb3[peh2];
$m1=$kon;$m2=$re2[kav1];$m3=$re2[kav2];$b11=$wr[kon];$b12=$bb3[kav1];$b13=$bb3[kav2];
$c1=$str;$c2=$re2[str1];$c3=$re2[str2];$c11=$wr[str];$c12=$bb3[str1];$c13=$bb3[str2];
$d1=$puh;$d2=$re2[puh1];$d3=$re2[puh2];$d11=$wr[puh];$d12=$bb3[puh1];$d13=$bb3[puh2];
$e1=$tan;$e2=$re2[tan1];$e3=$re2[tan2];$e11=$wr[tan];$e12=$bb3[tan1];$e13=$bb3[tan2];
$f1=$sam;$f2=$re2[sam1];$f3=$re2[sam2];$f11=$wr[sam];$f12=$bb3[sam1];$f13=$bb3[sam2];
$kk1=1.3;$kk2=1;
$brs=rand(1,5);if($brs==3){
if($re2[otk6]==1){$bers=0.5;$br=",сработал БЕРСЕРК";}else{$bers=0;$br='';}}else{$bers=0;$br='';}
$kk1=$kk1+$bers;
require'sys/boy.php';
if($nn1>$nn2){$tm=time();if($nn1==0){$a1=1;}
//////////////////////////////////////////////////////////
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
$boy="Бой между страной <b>
$re1[strana] </b>и страной <b>$wr[strana]</b><br/><u>$re1[strana]</u> пехота($peh)[$a2-$a3]кавалерия($kon)[$m2-$m3]стрелки($str)[$c2-$c3]
пушки($puh)[$d2-$d3]танки($tan)[$e2-$e3]самолёты($sam)[$f2-$f3]<br><u>$wr[strana]</u> пехота($wr[peh])[$a12-$a13]кавалерия($wr[kon])[$b12-$b13]стрелки($wr[str])[$c12-$c13]
пушки($wr[puh])[$d12-$d13]танки($wr[tan])[$e12-$e13]самолёты($wr[sam])[$f12-$f13]<br><u>Генерал страны $re1[strana]</u>навык-($z1)мораль-($z2)опыт-($z3)<br>
<u>Генерал страны $wr[strana]</u>навык-($x1)мораль-($x2)опыт-($x3)<br>Гос-во $re1[strana] разбило всё  войско $wr[strana]!<br/>Осталось- пехота
($a1),кавалерия($m1),стрелки($c1),пушки($d1),танки($e1),самолёты($f1)<br/><u>Опыт генерала $re1[strana]</u>($h1)<br/>
<u>Опыт генерала $wr[strana]</u>($h2)$br<br/>";
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('7','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]','$boy'),('1','[$dt1:$dt2]($dt3:$dt4)','$wr[strana]','$boy')");
/////////////////////////////////////////////////////////
 qw("DELETE FROM voyna WHERE id='$id'");
qw("UPDATE gos2 SET geno=geno+'$h2' WHERE strana='$bb3[strana]'");
$peh=($re2[peh]-$peh)+$a1;$kon=($re2[kon]-$kon)+$m1;$str=($re2[str]-$str)+$c1;$puh=($re2[puh]-$puh)+$d1;$tan=($re2[tan]-$tan)+$e1;$sam=($re2[sam]-$sam)+$f1;
qw("UPDATE gos2 SET peh='$peh',kon='$kon',str='$str',puh='$puh',tan='$tan',sam='$sam',geno=geno+'$h1' WHERE strana='$re1[strana]'");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$bb3[strana]','@','$tm','0','0','Гос-во $re1[strana] разбило всё ваше войско $br!Опыт +$h2')");
echo"Вы разбили войско<br/>гос-ва <b>$wr[strana]</b>$br!осталось - ";
if($a1>0){echo">пехота($a1)";}else{}if($m1>0){echo">кавалерия($m1)";}else{}if($c1>0){echo">стрелки($c1)";}else{}
if($d1>0){echo">пушки($d1)";}else{}if($e1>0){echo">танки($e1)";}else{}if($f1>0){echo">самолёты($f1)";}else{}
echo"Опыт +$h1<br/>";
/////
$opp=$h1+$h2;
$opp1 = mysql_fetch_array(qw("SELECT opp FROM bitva"));
if($opp>$opp1[opp]){
qw("DELETE FROM bitva");
mysql_query("INSERT INTO bitva (st1,st2,opp) VALUES('$re1[strana]','$bb3[strana]','$opp')");
}else{}
/////
}else{
if($nn2==0){$a11=1;}
//////////////////////////////////////////////////////////
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
$boy="Бой между страной <b>
$re1[strana] </b>и страной <b>$wr[strana]</b><br/><u>$re1[strana]</u>пехота($peh)[$a2-$a3]кавалерия($kon)[$m2-$m3]стрелки($str)[$c2-$c3]
пушки($puh)[$d2-$d3]танки($tan)[$e2-$e3]самолёты($sam)[$f2-$f3]<br><u>$wr[strana]</u> пехота($wr[peh])[$a12-$a13]кавалерия($wr[kon])[$b12-$b13]стрелки($wr[str])[$c12-$c13]
пушки($wr[puh])[$d12-$d13]танки($wr[tan])[$e12-$e13]самолёты($wr[sam])[$f12-$f13]<br><u>Генерал страны $re1[strana]</u>навык-($z1)мораль-($z2)опыт-($z3)<br>
<u>Генерал страны $wr[strana]</u>навык-($x1)мораль-($x2)опыт-($x3)<br>Гос-во $re1[strana] не смогло разбить  войско $wr[strana]!<br/>Осталось- пехота
($a11),кавалерия($b11),стрелки($c11),пушки($d11),танки($e11),самолёты($f11)<br/><u>Опыт генерала $re1[strana]</u>($h1)<br/>
<u>Опыт генерала $wr[strana]</u>($h2)$br<br/>";
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('7','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]','$boy'),('7','[$dt1:$dt2]($dt3:$dt4)','$wr[strana]','$boy')");
/////////////////////////////////////////////////////////
$tm=time();
qw("UPDATE voyna SET peh='$a11',kon='$b11',str='$c11',puh='$d11',tan='$e11',sam='$f11',dataatk='$tm' WHERE id='$id'");
qw("UPDATE gos2 SET geno=geno+'$h2' WHERE strana='$bb3[strana]'");
qw("UPDATE gos2 SET peh=peh-'$peh',kon=kon-'$kon',str=str-'$str',puh=puh-'$puh',tan=tan-'$tan',sam=sam-'$sam',geno=geno+'$h1',
kat='$kat' WHERE strana='$re1[strana]'");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$bb3[strana]','@','$tm','0','0','Гос-во $re1[strana] не смогло разбить ваше войско $br!Опыт +$h2')");
echo"Вы не смогли разбить войско <br/>гос-ва <b>$wr[strana]</b>$br!
осталось - ";
if($a11>0){echo">пехота($a11)";}else{}if($b11>0){echo">кавалерия($b11)";}else{}if($c11>0){echo">стрелки($c11)";}else{}
if($d11>0){echo">пушки($d11)";}else{}if($e11>0){echo">танки($e11)";}else{}if($f11>0){echo">самолёты($f11)";}else{}

echo"Опыт +$h1<br/>";
/////
$opp=$h1+$h2;
$opp1 = mysql_fetch_array(qw("SELECT opp FROM bitva"));
if($opp>$opp1[opp]){
qw("DELETE FROM bitva");
mysql_query("INSERT INTO bitva (st1,st2,opp) VALUES('$re1[strana]','$bb3[strana]','$opp')");
}else{}
/////
}
}
}}else{
$fr1=time();$fr4=$fr1-$wr[dataatk];
$at2=3600-$fr4;
$sec2=$at2;$hou2=floor($sec2/3600);$sec2-=$hou2*3600;$min2=floor($sec2/60);$sec2-=$min2*60;
echo"Подождите($min2 мин.$sec2 сек.)<br/>";}
}
if($_GET[s]==2){
$time=time();
$tim=$time-$re1[dataver];
if($tim>3599){
$bb3 = mysql_fetch_array(qw("SELECT * FROM gos WHERE strana='$wr[strana]'"));
if($re1[ver]>$bb3[wpk]){$b1=$bb3;$b3=$wr;
$e1=pro($b3[peh],$b1[wpk],$re1[ver]);
$e2=pro($b3[kon],$b1[wpk],$re1[ver]);
$e3=pro($b3[str],$b1[wpk],$re1[ver]);
$e4=pro($b3[puh],$b1[wpk],$re1[ver]);
$e5=pro($b3[tan],$b1[wpk],$re1[ver]);
$e6=pro($b3[sam],$b1[wpk],$re1[ver]);
if($b1[wpk]>1){$wpk2=1;}else{$wpk2=0;}
if($re1[ver]<55){$ver=1;}else{$ver=0;}
$data=time();
qw("UPDATE gos SET dataver='$data',ver=ver+'$ver' WHERE strana='$re1[strana]'");
qw("UPDATE gos SET wpk=wpk-'$wpk2' WHERE strana='$wr[strana]'");
qw("UPDATE gos2 SET peh=peh+'$e1',kon=kon+'$e2',str=str+'$e3',puh=puh+'$e4',tan=tan+'$e5',sam=sam+'$e6' WHERE strana='$re1[strana]'");
qw("UPDATE voyna SET peh=peh-'$e1',kon=kon-'$e2',str=str-'$e3',puh=puh-'$e4',tan=tan-'$e5',sam=sam-'$e6' WHERE id='$wr[id]'");
echo"Вы  завербовали : пехота($e1),кавалерия($e2),стрелки($e3),пушки($e4),танки($e5),самолёты($e6)!вербовка +$ver ";
$y="Гос-во $re1[strana] завербовало у вас : пехота($e1),кавалерия($e2),стрелки($e3),пушки($e4),танки($e5),самолёты($e6)!шпионаж -$wpk2 ";
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$wr[strana]','@','$data','0','0','$y')");
}else{
if($b1[wpk]>1 and $b1[wpk]<55){$wpk=1;}else{$wpk=0;}
if($re1[ver]<55){$ver=1;}else{$ver=0;}
echo"Ваши вербовщики потерпели неудачу!вербовка - $ver<br/>";
$data=time();$y="Вербовщики гос-ва $re1[strana] потерпели неудачу!шпионаж + $wpk";
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$wr[strana]','@','$data','0','0','$y')");
qw("UPDATE gos SET dataver='$data',ver=ver-'$ver' WHERE strana='$re1[strana]'");
qw("UPDATE gos SET wpk=wpk+'$wpk' WHERE strana='$wr[strana]'");
}
}else{
$tim=$re1[dataver]-$time;
 $sec = $tim;
$hou = floor($sec/3600);
$sec -= $hou*3600;
$min = floor($sec/60);$sec-=$min*60;
echo"Ваши вербовщики не готовы,<br/>подождите :<br/><b>$min</b> мин. <b>$sec</b> сек. <br/>";
}
}


}else{
echo"Война не найдена!<br/>";
}
?></div><div class="knews"><?
echo"<a href=game.php?der=$key>В страну</a><br/>";
require'sys/foot.php';
?>